;;; cl-scopes/test/etc.lisp
;;; use: `(load "test/etc")` from package scopes/test-storage

(defparameter db-config-sqlite
  '(:db-type :sqlite3
	:database-name "test/test.db"
    :busy-timeout 1))

(defparameter db-config-postgres
  '(:db-type :postgres
    :database-name "cltest"
	:host "localhost"
	:port 5432
	:username "testuser"
	:password "secret"
	:schema "testing"))

(setf scopes/test-storage:*db-config-sqlite* db-config-sqlite)
(setf scopes/test-storage:*db-config-postgres* db-config-postgres)
